# angular.isObject

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Checks if a reference is an `Object`. Unlike in JavaScript `null`s are not considered to be objects.

## Usage

    angular.isObject(value);

### Parameters

- `value – {*} –`

  Reference to check.

### Returns

`{boolean}` –

True if `value` is an `Object` but not `null`.